PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceCreateAllDataDefault

Create all evaluation nodes and the node-to-dof matrix by examining functionals

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreateAllDataDefault(PetscDualSpace sp, PetscQuadrature *allNodes, Mat *allMat)

### Input Parameter

| sp | - The dualspace

### Output Parameter

| allNodes | - A PetscQuadrature object containing all evaluation nodes
| allMat | - A Mat for the node-to-dof transformation

### See Also

PetscDualSpaceCreate()

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages